#96858 Report by node sphinx covering 2040 tests from 55 modules resulted into 4 errors

Report

ObsPy Version
1.1.1rc1.post0+255.g06906f3...
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
1064.4 sec
Report Date/Time
2018-06-07 12:07:46

System / Python

Architecture
32bit
Machine
i686
Node
sphinx
Processor
i686
Python Compiler
GCC 4.4.7 20120313 (Red Hat 4.4.7-1)
Python Implementation
CPython
Python Version
3.4.4
Release
2.6.32-042stab130.1
System
Linux
Version
#1 SMP Tue May 22 09:19:34 MSK 2018

Dependencies

cartopy
---
decorator
4.0.6
flake8
2.5.1
future
0.15.2
geographiclib
---
lxml.etree
3.3.5
m2crypto
---
matplotlib
2.0.2
mock
1.3.0
mpl_toolkits.basemap
1.0.7
numpy
1.10.4
pep8-naming
---
pyflakes
1.0.0
pyimgur
---
pyproj
1.9.4
requests
2.9.1
scipy
0.17.0
setuptools
19.6.2
shapefile
---
sqlalchemy
1.0.11

Modules (55)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink - -
obspy.clients.earthworm - -
obspy.clients.fdsn 2 1 2
obspy.clients.filesystem - -
obspy.clients.iris - -
obspy.clients.neic - -
obspy.clients.nrl - -
obspy.clients.seedlink 2 3 4
obspy.clients.seishub - -
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 4 4

Tracebacks (4)

Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/tests/test_client.py", line 1286, in test_eida_token_resolution
user, password = client._resolve_eida_token(token=token)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/client.py", line 374, in _resolve_eida_token
use_gzip=True, return_string=True)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/client.py", line 1383, in _download
raise_on_error(code, data)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/client.py", line 1736, in raise_on_error
(str(data.__class__.__name__), str(data))))
obspy.clients.fdsn.header.FDSNException: Unknown Error (URLError): <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)>
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/tests/test_federator_routing_client.py", line 318, in test_get_waveforms_integration_test
channel="LHZ")
File "<decorator-gen-63>", line 2, in get_waveforms
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/routing_client.py", line 82, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "<decorator-gen-62>", line 2, in get_waveforms
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/routing_client.py", line 89, in _assert_attach_response_not_in_kwargs
return f(*args, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/routing_client.py", line 334, in get_waveforms
return self.get_waveforms_bulk([bulk], **kwargs)
File "<decorator-gen-66>", line 2, in get_waveforms_bulk
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/routing_client.py", line 89, in _assert_attach_response_not_in_kwargs
return f(*args, **kwargs)
File "<decorator-gen-65>", line 2, in get_waveforms_bulk
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/routing_client.py", line 82, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/federator_routing_client.py", line 87, in get_waveforms_bulk
r = self._download(self._url + "/query", data=bulk_str)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/base.py", line 245, in _download
self._handle_requests_http_error(r)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/routing/routing_client.py", line 303, in _handle_requests_http_error
raise_on_error(r.status_code, buf)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/client.py", line 1728, in raise_on_error
server_info)
obspy.clients.fdsn.header.FDSNException: Service responds: Internal server error
Detailed response of server:
Internal Server Error -- Error 500: *** note, WSS warning, a possible programing error has occurred - a null error message was received, alongwith Status: Internal Server Error
Request:
http://service.iris.edu/irisws/fedcatalog/1/query
Request Submitted:
2018/06/07 16:55:55 UTC
Service version:
Service: irisws-fedcatalog version: 1.1.7
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/client/seedlinkconnection.py", line 1049, in connect
sock.connect((host_name, nport))
TimeoutError: [Errno 110] Connection timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/tests/test_basic_client.py", line 42, in test_get_waveform
_test_offset_from_realtime(offset)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/tests/test_basic_client.py", line 24, in _test_offset_from_realtime
st = self.client.get_waveforms(*request)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/basic_client.py", line 125, in get_waveforms
self._slclient.run(packet_handler=self._packet_handler)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/slclient.py", line 243, in run
slpack = self.slconn.collect()
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/client/seedlinkconnection.py", line 821, in collect
self.connect()
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/client/seedlinkconnection.py", line 1071, in connect
raise SeedLinkException(msg % (e))
obspy.clients.seedlink.seedlinkexception.SeedLinkException: 'cannot connect to SeedLink server: [Errno 110] Connection timed out'
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seedlink.basic_client.Client.get_waveforms
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/basic_client.py", line 62, in get_waveforms
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/basic_client.py", line 69, in obspy.clients.seedlink.basic_client.Client.get_waveforms
Failed example:
st = client.get_waveforms("G", "FDF", "00", "BHZ", t, t + 5)
Exception raised:
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/client/seedlinkconnection.py", line 1049, in connect
sock.connect((host_name, nport))
TimeoutError: [Errno 110] Connection timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seedlink.basic_client.Client.get_waveforms[3]>", line 1, in <module>
st = client.get_waveforms("G", "FDF", "00", "BHZ", t, t + 5)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/basic_client.py", line 125, in get_waveforms
self._slclient.run(packet_handler=self._packet_handler)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/slclient.py", line 243, in run
slpack = self.slconn.collect()
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/client/seedlinkconnection.py", line 821, in collect
self.connect()
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/client/seedlinkconnection.py", line 1071, in connect
raise SeedLinkException(msg % (e))
obspy.clients.seedlink.seedlinkexception.SeedLinkException: 'cannot connect to SeedLink server: [Errno 110] Connection timed out'
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/basic_client.py", line 70, in obspy.clients.seedlink.basic_client.Client.get_waveforms
Failed example:
print(st) # doctest: +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seedlink.basic_client.Client.get_waveforms[4]>", line 1, in <module>
print(st) # doctest: +ELLIPSIS
NameError: name 'st' is not defined
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/basic_client.py", line 77, in obspy.clients.seedlink.basic_client.Client.get_waveforms
Failed example:
st = client.get_waveforms("G", "FDF", "??", "B??", t, t + 5)
Exception raised:
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/client/seedlinkconnection.py", line 1049, in connect
sock.connect((host_name, nport))
TimeoutError: [Errno 110] Connection timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seedlink.basic_client.Client.get_waveforms[5]>", line 1, in <module>
st = client.get_waveforms("G", "FDF", "??", "B??", t, t + 5)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/basic_client.py", line 125, in get_waveforms
self._slclient.run(packet_handler=self._packet_handler)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/slclient.py", line 243, in run
slpack = self.slconn.collect()
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/client/seedlinkconnection.py", line 821, in collect
self.connect()
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/client/seedlinkconnection.py", line 1071, in connect
raise SeedLinkException(msg % (e))
obspy.clients.seedlink.seedlinkexception.SeedLinkException: 'cannot connect to SeedLink server: [Errno 110] Connection timed out'
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/basic_client.py", line 78, in obspy.clients.seedlink.basic_client.Client.get_waveforms
Failed example:
st = st.sort(reverse=True)
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seedlink.basic_client.Client.get_waveforms[6]>", line 1, in <module>
st = st.sort(reverse=True)
NameError: name 'st' is not defined
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/basic_client.py", line 79, in obspy.clients.seedlink.basic_client.Client.get_waveforms
Failed example:
print(st) # doctest: +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seedlink.basic_client.Client.get_waveforms[7]>", line 1, in <module>
print(st) # doctest: +ELLIPSIS
NameError: name 'st' is not defined

Skipped Tests (43)

Submodule Test Skip Message
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
io.shapefile test_write_catalog_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_catalog_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_catalog_shapefile_with_extra_field (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_inventory_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_inventory_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
taup test_compute_ray_paths (obspy.taup.tests.test_ray_paths.RayPathCalculationsTestCase) test needs geographiclib >= 1.34
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_path_resampling (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
clients.arclink test_get_waveform_with_default_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) $HOME/dcidpasswords.txt already exists
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto is not installed

Slowest Tests (20)

Runtime Test
126.046s get_waveforms (obspy.clients.seedlink.basic_client.Client)
64.632s test_get_waveform (obspy.clients.seedlink.tests.test_basic_client.ClientTestCase)
54.645s test_get_stations_integration_test (obspy.clients.fdsn.tests.test_eidaws_routing_client.EIDAWSRoutingClientTestCase)
52.624s test_get_waveforms_integration_test (obspy.clients.fdsn.tests.test_eidaws_routing_client.EIDAWSRoutingClientTestCase)
23.966s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
20.350s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
13.135s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
11.812s __init__ (obspy.clients.fdsn.mass_downloader)
11.743s __init__ (obspy.taup)
11.089s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
10.161s test_dataselect_bulk (obspy.clients.fdsn.tests.test_client.ClientTestCase)
10.119s test_redirection_auth (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.221s test_redirection (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.217s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
8.815s test_plot_wiggles_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
8.657s test_plot_wiggles_negative_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
8.528s test_plot_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
8.510s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
8.468s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
8.362s test_plot_azim_section (obspy.imaging.tests.test_waveform.WaveformTestCase)

Chuck Norris Fact

Chuck Norris does not need to know about class factory pattern. He can instantiate interfaces.